Bug 123333 - NFS throughput problem
NFS throughput problem
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-17 05:43 EDT by Rene Kapeller
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:04:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rene Kapeller 2004-05-17 05:43:31 EDT
Description of problem:
I have a FC2T3 nfs server and a RH-9.0 nfs client, both connected to a
gigabit switch.
Trying to write a large file (dd if=/dev/zero of=big500 bs=1M
count=500) to the nfs
server, the copy process takes minutes or infinite time. Doing the
same test, but using RH-9.0 (same hw) as the nfs server, the copy
process takes ~10 seconds.
Taking a tcpdump, I get lots of 'slsfs.nfs: 1472 write fh
Unknown/0100000200080005D5700A008A710A0084A75613D5700A0083A4A98000000000
4096 bytes @ 0x1d3d000 <unstable>'.
I also tried to increase rmem_default and rmem_max to 512k - no change.
Hardware: Dell PE2650, Broadcom Corporation|NetXtreme BCM5703X Gigabit
Ethernet
NIC driver: TG3
I was also going to test the Broadcom driver, but failed on 'bcm5700:
Unknown symbol genapic'
Kernels test so far (nfs server): 2.6.5-1.358smp and 2.6.5-1.327smp
Comment 1 Steve Dickson 2004-10-14 17:03:40 EDT
Is this still an issue with more recent FC kernels?
Comment 2 Dave Jones 2005-04-16 02:04:29 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.